diff --git a/NetworkPkg/Ip6Dxe/Ip6Nd.c b/NetworkPkg/Ip6Dxe/Ip6Nd.c
index 0780a98..c10c701 100644
--- a/NetworkPkg/Ip6Dxe/Ip6Nd.c
+++ b/NetworkPkg/Ip6Dxe/Ip6Nd.c
@@ -9,7 +9,7 @@
 
 #include "Ip6Impl.h"
 
-EFI_MAC_ADDRESS mZeroMacAddress;
+EFI_MAC_ADDRESS  mZeroMacAddress;
 
 /**
   Update the ReachableTime in IP6 service binding instance data, in milliseconds.
@@ -22,10 +22,10 @@ Ip6UpdateReachableTime (
   IN OUT IP6_SERVICE  *IpSb
   )
 {
-  UINT32              Random;
+  UINT32  Random;
 
-  Random = (NetRandomInitSeed () / 4294967295UL) * IP6_RANDOM_FACTOR_SCALE;
-  Random = Random + IP6_MIN_RANDOM_FACTOR_SCALED;
+  Random              = (NetRandomInitSeed () / 4294967295UL) * IP6_RANDOM_FACTOR_SCALE;
+  Random              = Random + IP6_MIN_RANDOM_FACTOR_SCALED;
   IpSb->ReachableTime = (IpSb->BaseReachableTime * Random) / IP6_RANDOM_FACTOR_SCALE;
 }
 
@@ -43,17 +43,17 @@ Ip6UpdateReachableTime (
 **/
 EFI_STATUS
 Ip6BuildEfiNeighborCache (
-  IN IP6_PROTOCOL            *IpInstance,
-  OUT UINT32                 *NeighborCount,
-  OUT EFI_IP6_NEIGHBOR_CACHE **NeighborCache
+  IN IP6_PROTOCOL             *IpInstance,
+  OUT UINT32                  *NeighborCount,
+  OUT EFI_IP6_NEIGHBOR_CACHE  **NeighborCache
   )
 {
-  IP6_NEIGHBOR_ENTRY        *Neighbor;
-  LIST_ENTRY                *Entry;
-  IP6_SERVICE               *IpSb;
-  UINT32                    Count;
-  EFI_IP6_NEIGHBOR_CACHE    *EfiNeighborCache;
-  EFI_IP6_NEIGHBOR_CACHE    *NeighborCacheTmp;
+  IP6_NEIGHBOR_ENTRY      *Neighbor;
+  LIST_ENTRY              *Entry;
+  IP6_SERVICE             *IpSb;
+  UINT32                  Count;
+  EFI_IP6_NEIGHBOR_CACHE  *EfiNeighborCache;
+  EFI_IP6_NEIGHBOR_CACHE  *NeighborCacheTmp;
 
   NET_CHECK_SIGNATURE (IpInstance, IP6_PROTOCOL_SIGNATURE);
   ASSERT (NeighborCount != NULL && NeighborCache != NULL);
@@ -82,7 +82,7 @@ Ip6BuildEfiNeighborCache (
 
     EfiNeighborCache = NeighborCacheTmp + Count;
 
-   EfiNeighborCache->State = Neighbor->State;
+    EfiNeighborCache->State = Neighbor->State;
     IP6_COPY_ADDRESS (&EfiNeighborCache->Neighbor, &Neighbor->Neighbor);
     IP6_COPY_LINK_ADDRESS (&EfiNeighborCache->LinkAddress, &Neighbor->LinkAddress);
 
@@ -114,12 +114,12 @@ Ip6BuildPrefixTable (
   OUT EFI_IP6_ADDRESS_INFO  **PrefixTable
   )
 {
-  LIST_ENTRY                *Entry;
-  IP6_SERVICE               *IpSb;
-  UINT32                    Count;
-  IP6_PREFIX_LIST_ENTRY     *PrefixList;
-  EFI_IP6_ADDRESS_INFO      *EfiPrefix;
-  EFI_IP6_ADDRESS_INFO      *PrefixTableTmp;
+  LIST_ENTRY             *Entry;
+  IP6_SERVICE            *IpSb;
+  UINT32                 Count;
+  IP6_PREFIX_LIST_ENTRY  *PrefixList;
+  EFI_IP6_ADDRESS_INFO   *EfiPrefix;
+  EFI_IP6_ADDRESS_INFO   *PrefixTableTmp;
 
   NET_CHECK_SIGNATURE (IpInstance, IP6_PROTOCOL_SIGNATURE);
   ASSERT (PrefixCount != NULL && PrefixTable != NULL);
@@ -178,21 +178,21 @@ Ip6BuildPrefixTable (
 **/
 IP6_PREFIX_LIST_ENTRY *
 Ip6CreatePrefixListEntry (
-  IN IP6_SERVICE            *IpSb,
-  IN BOOLEAN                OnLinkOrAuto,
-  IN UINT32                 ValidLifetime,
-  IN UINT32                 PreferredLifetime,
-  IN UINT8                  PrefixLength,
-  IN EFI_IPv6_ADDRESS       *Prefix
+  IN IP6_SERVICE       *IpSb,
+  IN BOOLEAN           OnLinkOrAuto,
+  IN UINT32            ValidLifetime,
+  IN UINT32            PreferredLifetime,
+  IN UINT8             PrefixLength,
+  IN EFI_IPv6_ADDRESS  *Prefix
   )
 {
-  IP6_PREFIX_LIST_ENTRY     *PrefixEntry;
-  IP6_ROUTE_ENTRY           *RtEntry;
-  LIST_ENTRY                *ListHead;
-  LIST_ENTRY                *Entry;
-  IP6_PREFIX_LIST_ENTRY     *TmpPrefixEntry;
+  IP6_PREFIX_LIST_ENTRY  *PrefixEntry;
+  IP6_ROUTE_ENTRY        *RtEntry;
+  LIST_ENTRY             *ListHead;
+  LIST_ENTRY             *Entry;
+  IP6_PREFIX_LIST_ENTRY  *TmpPrefixEntry;
 
-  if (Prefix == NULL || PreferredLifetime > ValidLifetime || PrefixLength > IP6_PREFIX_MAX) {
+  if ((Prefix == NULL) || (PreferredLifetime > ValidLifetime) || (PrefixLength > IP6_PREFIX_MAX)) {
     return NULL;
   }
 
@@ -205,7 +205,7 @@ Ip6CreatePrefixListEntry (
                   Prefix
                   );
   if (PrefixEntry != NULL) {
-    PrefixEntry->RefCnt ++;
+    PrefixEntry->RefCnt++;
     return PrefixEntry;
   }
 
@@ -242,7 +242,7 @@ Ip6CreatePrefixListEntry (
   // is put ahead in the list.
   //
   NET_LIST_FOR_EACH (Entry, ListHead) {
-    TmpPrefixEntry = NET_LIST_USER_STRUCT(Entry, IP6_PREFIX_LIST_ENTRY, Link);
+    TmpPrefixEntry = NET_LIST_USER_STRUCT (Entry, IP6_PREFIX_LIST_ENTRY, Link);
 
     if (TmpPrefixEntry->PrefixLength < PrefixEntry->PrefixLength) {
       break;
@@ -274,26 +274,26 @@ Ip6DestroyPrefixListEntry (
   IN BOOLEAN                ImmediateDelete
   )
 {
-  LIST_ENTRY      *Entry;
-  IP6_INTERFACE   *IpIf;
-  EFI_STATUS      Status;
+  LIST_ENTRY     *Entry;
+  IP6_INTERFACE  *IpIf;
+  EFI_STATUS     Status;
 
   if ((!ImmediateDelete) && (PrefixEntry->RefCnt > 0) && ((--PrefixEntry->RefCnt) > 0)) {
-    return ;
+    return;
   }
 
   if (OnLinkOrAuto) {
-      //
-      // Remove the direct route for onlink prefix from route table.
-      //
-      do {
-        Status = Ip6DelRoute (
-                   IpSb->RouteTable,
-                   &PrefixEntry->Prefix,
-                   PrefixEntry->PrefixLength,
-                   NULL
-                   );
-      } while (Status != EFI_NOT_FOUND);
+    //
+    // Remove the direct route for onlink prefix from route table.
+    //
+    do {
+      Status = Ip6DelRoute (
+                 IpSb->RouteTable,
+                 &PrefixEntry->Prefix,
+                 PrefixEntry->PrefixLength,
+                 NULL
+                 );
+    } while (Status != EFI_NOT_FOUND);
   } else {
     //
     // Remove the corresponding addresses generated from this autonomous prefix.
@@ -324,15 +324,15 @@ Ip6DestroyPrefixListEntry (
 **/
 IP6_PREFIX_LIST_ENTRY *
 Ip6FindPrefixListEntry (
-  IN IP6_SERVICE            *IpSb,
-  IN BOOLEAN                OnLinkOrAuto,
-  IN UINT8                  PrefixLength,
-  IN EFI_IPv6_ADDRESS       *Prefix
+  IN IP6_SERVICE       *IpSb,
+  IN BOOLEAN           OnLinkOrAuto,
+  IN UINT8             PrefixLength,
+  IN EFI_IPv6_ADDRESS  *Prefix
   )
 {
-  IP6_PREFIX_LIST_ENTRY     *PrefixList;
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *ListHead;
+  IP6_PREFIX_LIST_ENTRY  *PrefixList;
+  LIST_ENTRY             *Entry;
+  LIST_ENTRY             *ListHead;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
   ASSERT (Prefix != NULL);
@@ -349,8 +349,9 @@ Ip6FindPrefixListEntry (
       //
       // Perform exactly prefix match.
       //
-      if (PrefixList->PrefixLength == PrefixLength &&
-        NetIp6IsNetEqual (&PrefixList->Prefix, Prefix, PrefixLength)) {
+      if ((PrefixList->PrefixLength == PrefixLength) &&
+          NetIp6IsNetEqual (&PrefixList->Prefix, Prefix, PrefixLength))
+      {
         return PrefixList;
       }
     } else {
@@ -377,14 +378,14 @@ Ip6FindPrefixListEntry (
 **/
 VOID
 Ip6CleanPrefixListTable (
-  IN IP6_SERVICE            *IpSb,
-  IN LIST_ENTRY             *ListHead
+  IN IP6_SERVICE  *IpSb,
+  IN LIST_ENTRY   *ListHead
   )
 {
-  IP6_PREFIX_LIST_ENTRY     *PrefixList;
-  BOOLEAN                   OnLink;
+  IP6_PREFIX_LIST_ENTRY  *PrefixList;
+  BOOLEAN                OnLink;
 
-  OnLink = (BOOLEAN) (ListHead == &IpSb->OnlinkPrefix);
+  OnLink = (BOOLEAN)(ListHead == &IpSb->OnlinkPrefix);
 
   while (!IsListEmpty (ListHead)) {
     PrefixList = NET_LIST_HEAD (ListHead, IP6_PREFIX_LIST_ENTRY, Link);
@@ -402,25 +403,25 @@ Ip6CleanPrefixListTable (
 **/
 VOID
 Ip6OnArpResolved (
-  IN VOID                   *Context
+  IN VOID  *Context
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *Next;
-  IP6_NEIGHBOR_ENTRY        *ArpQue;
-  IP6_SERVICE               *IpSb;
-  IP6_LINK_TX_TOKEN         *Token;
-  EFI_STATUS                Status;
-  BOOLEAN                   Sent;
-
-  ArpQue = (IP6_NEIGHBOR_ENTRY *) Context;
+  LIST_ENTRY          *Entry;
+  LIST_ENTRY          *Next;
+  IP6_NEIGHBOR_ENTRY  *ArpQue;
+  IP6_SERVICE         *IpSb;
+  IP6_LINK_TX_TOKEN   *Token;
+  EFI_STATUS          Status;
+  BOOLEAN             Sent;
+
+  ArpQue = (IP6_NEIGHBOR_ENTRY *)Context;
   if ((ArpQue == NULL) || (ArpQue->Interface == NULL)) {
-    return ;
+    return;
   }
 
-  IpSb   = ArpQue->Interface->Service;
+  IpSb = ArpQue->Interface->Service;
   if ((IpSb == NULL) || (IpSb->Signature != IP6_SERVICE_SIGNATURE)) {
-    return ;
+    return;
   }
 
   //
@@ -430,7 +431,7 @@ Ip6OnArpResolved (
   //
   if (NET_MAC_EQUAL (&ArpQue->LinkAddress, &mZeroMacAddress, IpSb->SnpMode.HwAddressSize)) {
     Ip6FreeNeighborEntry (IpSb, ArpQue, FALSE, TRUE, EFI_NO_MAPPING, NULL, NULL);
-    return ;
+    return;
   }
 
   //
@@ -471,7 +472,7 @@ Ip6OnArpResolved (
 
   if (Sent && (ArpQue->State == EfiNeighborStale)) {
     ArpQue->State = EfiNeighborDelay;
-    ArpQue->Ticks = (UINT32) IP6_GET_TICKS (IP6_DELAY_FIRST_PROBE_TIME);
+    ArpQue->Ticks = (UINT32)IP6_GET_TICKS (IP6_DELAY_FIRST_PROBE_TIME);
   }
 }
 
@@ -491,17 +492,17 @@ Ip6OnArpResolved (
 **/
 IP6_NEIGHBOR_ENTRY *
 Ip6CreateNeighborEntry (
-  IN IP6_SERVICE            *IpSb,
-  IN IP6_ARP_CALLBACK       CallBack,
-  IN EFI_IPv6_ADDRESS       *Ip6Address,
-  IN EFI_MAC_ADDRESS        *LinkAddress OPTIONAL
+  IN IP6_SERVICE       *IpSb,
+  IN IP6_ARP_CALLBACK  CallBack,
+  IN EFI_IPv6_ADDRESS  *Ip6Address,
+  IN EFI_MAC_ADDRESS   *LinkAddress OPTIONAL
   )
 {
-  IP6_NEIGHBOR_ENTRY        *Entry;
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
+  IP6_NEIGHBOR_ENTRY  *Entry;
+  IP6_DEFAULT_ROUTER  *DefaultRouter;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
-  ASSERT (Ip6Address!= NULL);
+  ASSERT (Ip6Address != NULL);
 
   Entry = AllocateZeroPool (sizeof (IP6_NEIGHBOR_ENTRY));
   if (Entry == NULL) {
@@ -552,13 +553,13 @@ Ip6CreateNeighborEntry (
 **/
 IP6_NEIGHBOR_ENTRY *
 Ip6FindNeighborEntry (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IPv6_ADDRESS       *Ip6Address
+  IN IP6_SERVICE       *IpSb,
+  IN EFI_IPv6_ADDRESS  *Ip6Address
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *Next;
-  IP6_NEIGHBOR_ENTRY        *Neighbor;
+  LIST_ENTRY          *Entry;
+  LIST_ENTRY          *Next;
+  IP6_NEIGHBOR_ENTRY  *Neighbor;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
   ASSERT (Ip6Address != NULL);
@@ -599,25 +600,25 @@ Ip6FindNeighborEntry (
 **/
 EFI_STATUS
 Ip6FreeNeighborEntry (
-  IN IP6_SERVICE            *IpSb,
-  IN IP6_NEIGHBOR_ENTRY     *NeighborCache,
-  IN BOOLEAN                SendIcmpError,
-  IN BOOLEAN                FullFree,
-  IN EFI_STATUS             IoStatus,
-  IN IP6_FRAME_TO_CANCEL    FrameToCancel OPTIONAL,
-  IN VOID                   *Context      OPTIONAL
+  IN IP6_SERVICE          *IpSb,
+  IN IP6_NEIGHBOR_ENTRY   *NeighborCache,
+  IN BOOLEAN              SendIcmpError,
+  IN BOOLEAN              FullFree,
+  IN EFI_STATUS           IoStatus,
+  IN IP6_FRAME_TO_CANCEL  FrameToCancel OPTIONAL,
+  IN VOID                 *Context      OPTIONAL
   )
 {
-  IP6_LINK_TX_TOKEN         *TxToken;
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *Next;
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
+  IP6_LINK_TX_TOKEN   *TxToken;
+  LIST_ENTRY          *Entry;
+  LIST_ENTRY          *Next;
+  IP6_DEFAULT_ROUTER  *DefaultRouter;
 
   //
   // If FrameToCancel fails, the token will not be released.
   // To avoid the memory leak, stop this usage model.
   //
-  if (FullFree && FrameToCancel != NULL) {
+  if (FullFree && (FrameToCancel != NULL)) {
     return EFI_INVALID_PARAMETER;
   }
 
@@ -677,13 +678,13 @@ Ip6FreeNeighborEntry (
 **/
 IP6_DEFAULT_ROUTER *
 Ip6CreateDefaultRouter (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IPv6_ADDRESS       *Ip6Address,
-  IN UINT16                 RouterLifetime
+  IN IP6_SERVICE       *IpSb,
+  IN EFI_IPv6_ADDRESS  *Ip6Address,
+  IN UINT16            RouterLifetime
   )
 {
-  IP6_DEFAULT_ROUTER        *Entry;
-  IP6_ROUTE_ENTRY           *RtEntry;
+  IP6_DEFAULT_ROUTER  *Entry;
+  IP6_ROUTE_ENTRY     *RtEntry;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
   ASSERT (Ip6Address != NULL);
@@ -724,11 +725,11 @@ Ip6CreateDefaultRouter (
 **/
 VOID
 Ip6DestroyDefaultRouter (
-  IN IP6_SERVICE            *IpSb,
-  IN IP6_DEFAULT_ROUTER     *DefaultRouter
+  IN IP6_SERVICE         *IpSb,
+  IN IP6_DEFAULT_ROUTER  *DefaultRouter
   )
 {
-  EFI_STATUS                Status;
+  EFI_STATUS  Status;
 
   RemoveEntryList (&DefaultRouter->Link);
 
@@ -751,10 +752,10 @@ Ip6DestroyDefaultRouter (
 **/
 VOID
 Ip6CleanDefaultRouterList (
-  IN IP6_SERVICE            *IpSb
+  IN IP6_SERVICE  *IpSb
   )
 {
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
+  IP6_DEFAULT_ROUTER  *DefaultRouter;
 
   while (!IsListEmpty (&IpSb->DefaultRouterList)) {
     DefaultRouter = NET_LIST_HEAD (&IpSb->DefaultRouterList, IP6_DEFAULT_ROUTER, Link);
@@ -774,12 +775,12 @@ Ip6CleanDefaultRouterList (
 **/
 IP6_DEFAULT_ROUTER *
 Ip6FindDefaultRouter (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IPv6_ADDRESS       *Ip6Address
+  IN IP6_SERVICE       *IpSb,
+  IN EFI_IPv6_ADDRESS  *Ip6Address
   )
 {
-  LIST_ENTRY                *Entry;
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
+  LIST_ENTRY          *Entry;
+  IP6_DEFAULT_ROUTER  *DefaultRouter;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
   ASSERT (Ip6Address != NULL);
@@ -846,10 +847,10 @@ Ip6OnDADFinished (
         // Set the exta options to send. Here we only want the option request option
         // with DNS SERVERS.
         //
-        Oro         = (EFI_DHCP6_PACKET_OPTION *) OptBuf;
-        Oro->OpCode = HTONS (DHCP6_OPT_ORO);
-        Oro->OpLen  = HTONS (2);
-        *((UINT16 *) &Oro->Data[0]) = HTONS (DHCP6_OPT_DNS_SERVERS);
+        Oro                        = (EFI_DHCP6_PACKET_OPTION *)OptBuf;
+        Oro->OpCode                = HTONS (DHCP6_OPT_ORO);
+        Oro->OpLen                 = HTONS (2);
+        *((UINT16 *)&Oro->Data[0]) = HTONS (DHCP6_OPT_DNS_SERVERS);
 
         InfoReqReXmit.Irt = 4;
         InfoReqReXmit.Mrc = 64;
@@ -875,12 +876,11 @@ Ip6OnDADFinished (
       Ip6CreatePrefixListEntry (
         IpSb,
         TRUE,
-        (UINT32) IP6_INFINIT_LIFETIME,
-        (UINT32) IP6_INFINIT_LIFETIME,
+        (UINT32)IP6_INFINIT_LIFETIME,
+        (UINT32)IP6_INFINIT_LIFETIME,
         IP6_LINK_LOCAL_PREFIX_LENGTH,
         &IpSb->LinkLocalAddr
         );
-
     } else {
       //
       // Global scope unicast address.
@@ -928,7 +928,7 @@ Ip6OnDADFinished (
     IpSb->Mnp->Configure (IpSb->Mnp, NULL);
     gBS->SetTimer (IpSb->Timer, TimerCancel, 0);
     gBS->SetTimer (IpSb->FasterTimer, TimerCancel, 0);
-    return ;
+    return;
   }
 
   if (!IsDadPassed || NetIp6IsLinkLocalAddr (&AddrInfo->Address)) {
@@ -961,10 +961,10 @@ Ip6OnDADFinished (
 **/
 EFI_STATUS
 Ip6InitDADProcess (
-  IN IP6_INTERFACE          *IpIf,
-  IN IP6_ADDRESS_INFO       *AddressInfo,
-  IN IP6_DAD_CALLBACK       Callback  OPTIONAL,
-  IN VOID                   *Context  OPTIONAL
+  IN IP6_INTERFACE     *IpIf,
+  IN IP6_ADDRESS_INFO  *AddressInfo,
+  IN IP6_DAD_CALLBACK  Callback  OPTIONAL,
+  IN VOID              *Context  OPTIONAL
   )
 {
   IP6_DAD_ENTRY                             *Entry;
@@ -1009,15 +1009,15 @@ Ip6InitDADProcess (
     return Status;
   }
 
-  Entry->Signature    = IP6_DAD_ENTRY_SIGNATURE;
-  Entry->MaxTransmit  = DadXmits->DupAddrDetectTransmits;
-  Entry->Transmit     = 0;
-  Entry->Receive      = 0;
-  MaxDelayTick        = IP6_MAX_RTR_SOLICITATION_DELAY / IP6_TIMER_INTERVAL_IN_MS;
-  Entry->RetransTick  = (MaxDelayTick * ((NET_RANDOM (NetRandomInitSeed ()) % 5) + 1)) / 5;
-  Entry->AddressInfo  = AddressInfo;
-  Entry->Callback     = Callback;
-  Entry->Context      = Context;
+  Entry->Signature   = IP6_DAD_ENTRY_SIGNATURE;
+  Entry->MaxTransmit = DadXmits->DupAddrDetectTransmits;
+  Entry->Transmit    = 0;
+  Entry->Receive     = 0;
+  MaxDelayTick       = IP6_MAX_RTR_SOLICITATION_DELAY / IP6_TIMER_INTERVAL_IN_MS;
+  Entry->RetransTick = (MaxDelayTick * ((NET_RANDOM (NetRandomInitSeed ()) % 5) + 1)) / 5;
+  Entry->AddressInfo = AddressInfo;
+  Entry->Callback    = Callback;
+  Entry->Context     = Context;
   InsertTailList (&IpIf->DupAddrDetectList, &Entry->Link);
 
   if (Entry->MaxTransmit == 0) {
@@ -1044,16 +1044,16 @@ Ip6InitDADProcess (
 **/
 IP6_DAD_ENTRY *
 Ip6FindDADEntry (
-  IN  IP6_SERVICE      *IpSb,
-  IN  EFI_IPv6_ADDRESS *Target,
-  OUT IP6_INTERFACE    **Interface OPTIONAL
+  IN  IP6_SERVICE       *IpSb,
+  IN  EFI_IPv6_ADDRESS  *Target,
+  OUT IP6_INTERFACE     **Interface OPTIONAL
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *Entry2;
-  IP6_INTERFACE             *IpIf;
-  IP6_DAD_ENTRY             *DupAddrDetect;
-  IP6_ADDRESS_INFO          *AddrInfo;
+  LIST_ENTRY        *Entry;
+  LIST_ENTRY        *Entry2;
+  IP6_INTERFACE     *IpIf;
+  IP6_DAD_ENTRY     *DupAddrDetect;
+  IP6_ADDRESS_INFO  *AddrInfo;
 
   NET_LIST_FOR_EACH (Entry, &IpSb->Interfaces) {
     IpIf = NET_LIST_USER_STRUCT (Entry, IP6_INTERFACE, Link);
@@ -1065,6 +1065,7 @@ Ip6FindDADEntry (
         if (Interface != NULL) {
           *Interface = IpIf;
         }
+
         return DupAddrDetect;
       }
     }
@@ -1093,24 +1094,24 @@ Ip6FindDADEntry (
 **/
 EFI_STATUS
 Ip6SendRouterSolicit (
-  IN IP6_SERVICE            *IpSb,
-  IN IP6_INTERFACE          *Interface          OPTIONAL,
-  IN EFI_IPv6_ADDRESS       *SourceAddress      OPTIONAL,
-  IN EFI_IPv6_ADDRESS       *DestinationAddress OPTIONAL,
-  IN EFI_MAC_ADDRESS        *SourceLinkAddress  OPTIONAL
+  IN IP6_SERVICE       *IpSb,
+  IN IP6_INTERFACE     *Interface          OPTIONAL,
+  IN EFI_IPv6_ADDRESS  *SourceAddress      OPTIONAL,
+  IN EFI_IPv6_ADDRESS  *DestinationAddress OPTIONAL,
+  IN EFI_MAC_ADDRESS   *SourceLinkAddress  OPTIONAL
   )
 {
-  NET_BUF                   *Packet;
-  EFI_IP6_HEADER            Head;
-  IP6_ICMP_INFORMATION_HEAD *IcmpHead;
-  IP6_ETHER_ADDR_OPTION     *LinkLayerOption;
-  UINT16                    PayloadLen;
-  IP6_INTERFACE             *IpIf;
+  NET_BUF                    *Packet;
+  EFI_IP6_HEADER             Head;
+  IP6_ICMP_INFORMATION_HEAD  *IcmpHead;
+  IP6_ETHER_ADDR_OPTION      *LinkLayerOption;
+  UINT16                     PayloadLen;
+  IP6_INTERFACE              *IpIf;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
 
   IpIf = Interface;
-  if (IpIf == NULL && IpSb->DefaultInterface != NULL) {
+  if ((IpIf == NULL) && (IpSb->DefaultInterface != NULL)) {
     IpIf = IpSb->DefaultInterface;
   }
 
@@ -1118,12 +1119,12 @@ Ip6SendRouterSolicit (
   // Generate the packet to be sent
   //
 
-  PayloadLen = (UINT16) sizeof (IP6_ICMP_INFORMATION_HEAD);
+  PayloadLen = (UINT16)sizeof (IP6_ICMP_INFORMATION_HEAD);
   if (SourceLinkAddress != NULL) {
     PayloadLen += sizeof (IP6_ETHER_ADDR_OPTION);
   }
 
-  Packet = NetbufAlloc (sizeof (EFI_IP6_HEADER) + (UINT32) PayloadLen);
+  Packet = NetbufAlloc (sizeof (EFI_IP6_HEADER) + (UINT32)PayloadLen);
   if (Packet == NULL) {
     return EFI_OUT_OF_RESOURCES;
   }
@@ -1131,11 +1132,11 @@ Ip6SendRouterSolicit (
   //
   // Create the basic IPv6 header.
   //
-  Head.FlowLabelL     = 0;
-  Head.FlowLabelH     = 0;
-  Head.PayloadLength  = HTONS (PayloadLen);
-  Head.NextHeader     = IP6_ICMP;
-  Head.HopLimit       = IP6_HOP_LIMIT;
+  Head.FlowLabelL    = 0;
+  Head.FlowLabelH    = 0;
+  Head.PayloadLength = HTONS (PayloadLen);
+  Head.NextHeader    = IP6_ICMP;
+  Head.HopLimit      = IP6_HOP_LIMIT;
 
   if (SourceAddress != NULL) {
     IP6_COPY_ADDRESS (&Head.SourceAddress, SourceAddress);
@@ -1143,7 +1144,6 @@ Ip6SendRouterSolicit (
     ZeroMem (&Head.SourceAddress, sizeof (EFI_IPv6_ADDRESS));
   }
 
-
   if (DestinationAddress != NULL) {
     IP6_COPY_ADDRESS (&Head.DestinationAddress, DestinationAddress);
   } else {
@@ -1156,7 +1156,7 @@ Ip6SendRouterSolicit (
   // Fill in the ICMP header, and Source link-layer address if contained.
   //
 
-  IcmpHead = (IP6_ICMP_INFORMATION_HEAD *) NetbufAllocSpace (Packet, sizeof (IP6_ICMP_INFORMATION_HEAD), FALSE);
+  IcmpHead = (IP6_ICMP_INFORMATION_HEAD *)NetbufAllocSpace (Packet, sizeof (IP6_ICMP_INFORMATION_HEAD), FALSE);
   ASSERT (IcmpHead != NULL);
   ZeroMem (IcmpHead, sizeof (IP6_ICMP_INFORMATION_HEAD));
   IcmpHead->Head.Type = ICMP_V6_ROUTER_SOLICIT;
@@ -1164,14 +1164,14 @@ Ip6SendRouterSolicit (
 
   LinkLayerOption = NULL;
   if (SourceLinkAddress != NULL) {
-    LinkLayerOption = (IP6_ETHER_ADDR_OPTION *) NetbufAllocSpace (
-                                                  Packet,
-                                                  sizeof (IP6_ETHER_ADDR_OPTION),
-                                                  FALSE
-                                                  );
+    LinkLayerOption = (IP6_ETHER_ADDR_OPTION *)NetbufAllocSpace (
+                                                 Packet,
+                                                 sizeof (IP6_ETHER_ADDR_OPTION),
+                                                 FALSE
+                                                 );
     ASSERT (LinkLayerOption != NULL);
     LinkLayerOption->Type   = Ip6OptionEtherSource;
-    LinkLayerOption->Length = (UINT8) sizeof (IP6_ETHER_ADDR_OPTION);
+    LinkLayerOption->Length = (UINT8)sizeof (IP6_ETHER_ADDR_OPTION);
     CopyMem (LinkLayerOption->EtherAddr, SourceLinkAddress, 6);
   }
 
@@ -1205,22 +1205,22 @@ Ip6SendRouterSolicit (
 **/
 EFI_STATUS
 Ip6SendNeighborAdvertise (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IPv6_ADDRESS       *SourceAddress,
-  IN EFI_IPv6_ADDRESS       *DestinationAddress,
-  IN EFI_IPv6_ADDRESS       *TargetIp6Address,
-  IN EFI_MAC_ADDRESS        *TargetLinkAddress,
-  IN BOOLEAN                IsRouter,
-  IN BOOLEAN                Override,
-  IN BOOLEAN                Solicited
+  IN IP6_SERVICE       *IpSb,
+  IN EFI_IPv6_ADDRESS  *SourceAddress,
+  IN EFI_IPv6_ADDRESS  *DestinationAddress,
+  IN EFI_IPv6_ADDRESS  *TargetIp6Address,
+  IN EFI_MAC_ADDRESS   *TargetLinkAddress,
+  IN BOOLEAN           IsRouter,
+  IN BOOLEAN           Override,
+  IN BOOLEAN           Solicited
   )
 {
-  NET_BUF                   *Packet;
-  EFI_IP6_HEADER            Head;
-  IP6_ICMP_INFORMATION_HEAD *IcmpHead;
-  IP6_ETHER_ADDR_OPTION     *LinkLayerOption;
-  EFI_IPv6_ADDRESS          *Target;
-  UINT16                    PayloadLen;
+  NET_BUF                    *Packet;
+  EFI_IP6_HEADER             Head;
+  IP6_ICMP_INFORMATION_HEAD  *IcmpHead;
+  IP6_ETHER_ADDR_OPTION      *LinkLayerOption;
+  EFI_IPv6_ADDRESS           *Target;
+  UINT16                     PayloadLen;
 
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
 
@@ -1232,13 +1232,13 @@ Ip6SendNeighborAdvertise (
   //
   ASSERT (DestinationAddress != NULL && TargetIp6Address != NULL && TargetLinkAddress != NULL);
 
-  PayloadLen = (UINT16) (sizeof (IP6_ICMP_INFORMATION_HEAD) + sizeof (EFI_IPv6_ADDRESS) + sizeof (IP6_ETHER_ADDR_OPTION));
+  PayloadLen = (UINT16)(sizeof (IP6_ICMP_INFORMATION_HEAD) + sizeof (EFI_IPv6_ADDRESS) + sizeof (IP6_ETHER_ADDR_OPTION));
 
   //
   // Generate the packet to be sent
   //
 
-  Packet = NetbufAlloc (sizeof (EFI_IP6_HEADER) + (UINT32) PayloadLen);
+  Packet = NetbufAlloc (sizeof (EFI_IP6_HEADER) + (UINT32)PayloadLen);
   if (Packet == NULL) {
     return EFI_OUT_OF_RESOURCES;
   }
@@ -1246,11 +1246,11 @@ Ip6SendNeighborAdvertise (
   //
   // Create the basic IPv6 header.
   //
-  Head.FlowLabelL     = 0;
-  Head.FlowLabelH     = 0;
-  Head.PayloadLength  = HTONS (PayloadLen);
-  Head.NextHeader     = IP6_ICMP;
-  Head.HopLimit       = IP6_HOP_LIMIT;
+  Head.FlowLabelL    = 0;
+  Head.FlowLabelH    = 0;
+  Head.PayloadLength = HTONS (PayloadLen);
+  Head.NextHeader    = IP6_ICMP;
+  Head.HopLimit      = IP6_HOP_LIMIT;
 
   IP6_COPY_ADDRESS (&Head.SourceAddress, SourceAddress);
   IP6_COPY_ADDRESS (&Head.DestinationAddress, DestinationAddress);
@@ -1262,7 +1262,7 @@ Ip6SendNeighborAdvertise (
   // Set the Router flag, Solicited flag and Override flag.
   //
 
-  IcmpHead = (IP6_ICMP_INFORMATION_HEAD *) NetbufAllocSpace (Packet, sizeof (IP6_ICMP_INFORMATION_HEAD), FALSE);
+  IcmpHead = (IP6_ICMP_INFORMATION_HEAD *)NetbufAllocSpace (Packet, sizeof (IP6_ICMP_INFORMATION_HEAD), FALSE);
   ASSERT (IcmpHead != NULL);
   ZeroMem (IcmpHead, sizeof (IP6_ICMP_INFORMATION_HEAD));
   IcmpHead->Head.Type = ICMP_V6_NEIGHBOR_ADVERTISE;
@@ -1280,15 +1280,15 @@ Ip6SendNeighborAdvertise (
     IcmpHead->Fourth |= IP6_OVERRIDE_FLAG;
   }
 
-  Target = (EFI_IPv6_ADDRESS *) NetbufAllocSpace (Packet, sizeof (EFI_IPv6_ADDRESS), FALSE);
+  Target = (EFI_IPv6_ADDRESS *)NetbufAllocSpace (Packet, sizeof (EFI_IPv6_ADDRESS), FALSE);
   ASSERT (Target != NULL);
   IP6_COPY_ADDRESS (Target, TargetIp6Address);
 
-  LinkLayerOption = (IP6_ETHER_ADDR_OPTION *) NetbufAllocSpace (
-                                                Packet,
-                                                sizeof (IP6_ETHER_ADDR_OPTION),
-                                                FALSE
-                                                );
+  LinkLayerOption = (IP6_ETHER_ADDR_OPTION *)NetbufAllocSpace (
+                                               Packet,
+                                               sizeof (IP6_ETHER_ADDR_OPTION),
+                                               FALSE
+                                               );
   ASSERT (LinkLayerOption != NULL);
   LinkLayerOption->Type   = Ip6OptionEtherTarget;
   LinkLayerOption->Length = 1;
@@ -1320,33 +1320,33 @@ Ip6SendNeighborAdvertise (
 **/
 EFI_STATUS
 Ip6SendNeighborSolicit (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IPv6_ADDRESS       *SourceAddress,
-  IN EFI_IPv6_ADDRESS       *DestinationAddress,
-  IN EFI_IPv6_ADDRESS       *TargetIp6Address,
-  IN EFI_MAC_ADDRESS        *SourceLinkAddress OPTIONAL
+  IN IP6_SERVICE       *IpSb,
+  IN EFI_IPv6_ADDRESS  *SourceAddress,
+  IN EFI_IPv6_ADDRESS  *DestinationAddress,
+  IN EFI_IPv6_ADDRESS  *TargetIp6Address,
+  IN EFI_MAC_ADDRESS   *SourceLinkAddress OPTIONAL
   )
 {
-  NET_BUF                   *Packet;
-  EFI_IP6_HEADER            Head;
-  IP6_ICMP_INFORMATION_HEAD *IcmpHead;
-  IP6_ETHER_ADDR_OPTION     *LinkLayerOption;
-  EFI_IPv6_ADDRESS          *Target;
-  BOOLEAN                   IsDAD;
-  UINT16                    PayloadLen;
-  IP6_NEIGHBOR_ENTRY        *Neighbor;
+  NET_BUF                    *Packet;
+  EFI_IP6_HEADER             Head;
+  IP6_ICMP_INFORMATION_HEAD  *IcmpHead;
+  IP6_ETHER_ADDR_OPTION      *LinkLayerOption;
+  EFI_IPv6_ADDRESS           *Target;
+  BOOLEAN                    IsDAD;
+  UINT16                     PayloadLen;
+  IP6_NEIGHBOR_ENTRY         *Neighbor;
 
   //
   // Check input parameters
   //
   NET_CHECK_SIGNATURE (IpSb, IP6_SERVICE_SIGNATURE);
-  if (DestinationAddress == NULL || TargetIp6Address == NULL) {
+  if ((DestinationAddress == NULL) || (TargetIp6Address == NULL)) {
     return EFI_INVALID_PARAMETER;
   }
 
   IsDAD = FALSE;
 
-  if (SourceAddress == NULL || (SourceAddress != NULL && NetIp6IsUnspecifiedAddr (SourceAddress))) {
+  if ((SourceAddress == NULL) || ((SourceAddress != NULL) && NetIp6IsUnspecifiedAddr (SourceAddress))) {
     IsDAD = TRUE;
   }
 
@@ -1355,21 +1355,21 @@ Ip6SendNeighborSolicit (
   // if the solicitation is not sent by performing DAD - Duplicate Address Detection.
   // Otherwise must not include it.
   //
-  PayloadLen = (UINT16) (sizeof (IP6_ICMP_INFORMATION_HEAD) + sizeof (EFI_IPv6_ADDRESS));
+  PayloadLen = (UINT16)(sizeof (IP6_ICMP_INFORMATION_HEAD) + sizeof (EFI_IPv6_ADDRESS));
 
   if (!IsDAD) {
     if (SourceLinkAddress == NULL) {
       return EFI_INVALID_PARAMETER;
     }
 
-    PayloadLen = (UINT16) (PayloadLen + sizeof (IP6_ETHER_ADDR_OPTION));
+    PayloadLen = (UINT16)(PayloadLen + sizeof (IP6_ETHER_ADDR_OPTION));
   }
 
   //
   // Generate the packet to be sent
   //
 
-  Packet = NetbufAlloc (sizeof (EFI_IP6_HEADER) + (UINT32) PayloadLen);
+  Packet = NetbufAlloc (sizeof (EFI_IP6_HEADER) + (UINT32)PayloadLen);
   if (Packet == NULL) {
     return EFI_OUT_OF_RESOURCES;
   }
@@ -1377,11 +1377,11 @@ Ip6SendNeighborSolicit (
   //
   // Create the basic IPv6 header
   //
-  Head.FlowLabelL     = 0;
-  Head.FlowLabelH     = 0;
-  Head.PayloadLength  = HTONS (PayloadLen);
-  Head.NextHeader     = IP6_ICMP;
-  Head.HopLimit       = IP6_HOP_LIMIT;
+  Head.FlowLabelL    = 0;
+  Head.FlowLabelH    = 0;
+  Head.PayloadLength = HTONS (PayloadLen);
+  Head.NextHeader    = IP6_ICMP;
+  Head.HopLimit      = IP6_HOP_LIMIT;
 
   if (SourceAddress != NULL) {
     IP6_COPY_ADDRESS (&Head.SourceAddress, SourceAddress);
@@ -1396,27 +1396,26 @@ Ip6SendNeighborSolicit (
   //
   // Fill in the ICMP header, Target address, and Source link-layer address.
   //
-  IcmpHead = (IP6_ICMP_INFORMATION_HEAD *) NetbufAllocSpace (Packet, sizeof (IP6_ICMP_INFORMATION_HEAD), FALSE);
+  IcmpHead = (IP6_ICMP_INFORMATION_HEAD *)NetbufAllocSpace (Packet, sizeof (IP6_ICMP_INFORMATION_HEAD), FALSE);
   ASSERT (IcmpHead != NULL);
   ZeroMem (IcmpHead, sizeof (IP6_ICMP_INFORMATION_HEAD));
   IcmpHead->Head.Type = ICMP_V6_NEIGHBOR_SOLICIT;
   IcmpHead->Head.Code = 0;
 
-  Target = (EFI_IPv6_ADDRESS *) NetbufAllocSpace (Packet, sizeof (EFI_IPv6_ADDRESS), FALSE);
+  Target = (EFI_IPv6_ADDRESS *)NetbufAllocSpace (Packet, sizeof (EFI_IPv6_ADDRESS), FALSE);
   ASSERT (Target != NULL);
   IP6_COPY_ADDRESS (Target, TargetIp6Address);
 
   LinkLayerOption = NULL;
   if (!IsDAD) {
-
     //
     // Fill in the source link-layer address option
     //
-    LinkLayerOption = (IP6_ETHER_ADDR_OPTION *) NetbufAllocSpace (
-                                                  Packet,
-                                                  sizeof (IP6_ETHER_ADDR_OPTION),
-                                                  FALSE
-                                                  );
+    LinkLayerOption = (IP6_ETHER_ADDR_OPTION *)NetbufAllocSpace (
+                                                 Packet,
+                                                 sizeof (IP6_ETHER_ADDR_OPTION),
+                                                 FALSE
+                                                 );
     ASSERT (LinkLayerOption != NULL);
     LinkLayerOption->Type   = Ip6OptionEtherSource;
     LinkLayerOption->Length = 1;
